Skip to main content
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
invoices
/
gross-total
Get invoices gross total
curl --request POST \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices/gross-total \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "field": "invoiceDate",
    "operation": "IN",
    "value": "<unknown>"
  }
]
'
{
  "grossTotal": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Body

application/json
field
enum<string>
required

The path to the field of the invoices to filter by

Available options:
invoiceDate,
type
operation
enum<string>
required
Available options:
IN,
LIKE,
NOT_LIKE,
EQUALS,
NOT_EQUALS,
BEFORE,
BEFORE_EQUALS,
AFTER,
AFTER_EQUALS,
SMALLER,
SMALLER_EQUALS,
GREATER,
GREATER_EQUALS,
IS_NULL
value
any

Any value to filter by the given path. For type use one of the invoice types - ENERGY_FUEL_INVOICE, EXCESS_MILEAGE_INVOICE, PARKING_INVOICE, INSURANCE_INVOICE, REGISTRATION_INVOICE, ADMINISTRATION_INVOICE, CARBON_FOOTPRINT_INVOICE, MAINTENANCE, INSPECTION, TIRE_INVOICE, TIRE_STORAGE

Response

Gross total of the invoices that the filters apply to

grossTotal
integer<int64>
required

Gross total sum in cents